﻿using System.Collections.Generic;
using DistributedGA.Core.Domain;

namespace DistributedGA.Core.Interface {
  public interface IMessageHandler {
    void Init(string lanIpPrefix, string contactServerUrl); //Registers at contract-server

    void PublishDataToNetwork(SolutionInfo[] data);

    SolutionInfo[] GetDataFromNetwork();

    PeerInfo GetPeerInfo();

    List<PeerInfo> GetCurrentNetwork();

    void Dispose();
  }
}
