﻿using System;
using DistributedGA.Core.Domain;

namespace DistributedGA.Core.Interface {
  public interface IMessageService {
    /// <summary>
    /// Initializes a WCF service and host it with another thread
    /// </summary>
    /// <param name="ip">current external ip address</param>
    /// <returns>The port, on which the service was successfully hosted</returns>
    int Init(string ip);

    void Dispose();

    event EventHandler<MessageRecieveEventArgs> OnDataRecieved;
  }
}
